function [fin]=back_conv(C,m,n) 		#function to convert the column matrix back into the correct form
	fin=zeros(m,n);#initializing empty array
	if rows(C)*columns(C)==m*n   		#running a check
	else
		disp("error");
		return;
	endif  
	for i=1:m
		for j=1:n
			fin(i,j)=C(n*(i-1)+j,1);  	#entering the values into the m X n matrix
		endfor
	endfor	
endfunction